# Method: photoSequences.list

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.response_body)
  - [JSON representation](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.ListPhotoSequencesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#try-it)

Lists all the `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` that belong to the user, in descending photoSequence.create timestamp order.

### HTTP request

`GET https://streetviewpublish.googleapis.com/v1/photoSequences`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of photo sequences to return. `pageSize` must be non-negative. If `pageSize` is zero or is not provided, the default page size of 100 is used. The number of photo sequences returned in the response may be less than `pageSize` if the number of matches is less than `pageSize`. This is currently unimplemented but is in process. |
| `pageToken` | `string` Optional. The `https://developers.google.com/streetview/publish/reference/rest/v1/photos/list#body.ListPhotosResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#google.streetview.publish.v1.StreetViewPublishService.ListPhotoSequences` request, if any. |
| `filter` | `string` Optional. The filter expression. For example: `imageryType=SPHERICAL`. The filters supported are: `imageryType`, `processingState`, `min_latitude`, `max_latitude`, `min_longitude`, `max_longitude`, `filename_query`, `min_capture_time_seconds`, \`max_capture_time_seconds. See <https://google.aip.dev/160> for more information. Filename queries should sent as a Phrase in order to support multiple words and special characters by adding escaped quotes. Ex: filename_query="example of a phrase.mp4" |

### Request body

The request body must be empty.

### Response body

Response to list all photo sequences that belong to a user.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "photoSequences": [ { object (`https://developers.google.com/streetview/publish/reference/rest/v1/Operation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `photoSequences[]` | ``object (`https://developers.google.com/streetview/publish/reference/rest/v1/Operation`)`` List of photo sequences via `https://developers.google.com/streetview/publish/reference/rest/v1/Operation` interface. The maximum number of items returned is based on the `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequences/list#body.QUERY_PARAMETERS.page_size` field in the request. Each item in the list can have three possible states, - `Operation.done` = false, if the processing of `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` is not finished yet. - `Operation.done` = true and `Operation.error` is populated, if there was an error in processing. - `Operation.done` = true and `Operation.response` contains a `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` message, In each sequence, only `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence.FIELDS.id` is populated. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).